Interface ApiControllerAction

    • Method Detail

      • getPatternParts

        String[] getPatternParts()
        Returns an array with each element of the path specification
      • getParamRegexp

        Pattern[] getParamRegexp()
        Returns an sparse array with the element of the path specification that are parameterized
      • getController

        Object getController()
        Returns the controller that this action belongs to
      • getAction

        Method getAction()
        Returns the method that implements this action
      • getPattern

        String getPattern()
        Returns the request URL pattern used to match this action
      • getHttpMethod

        String getHttpMethod()
        Returns the request HTTP Method used to match this action
      • matchesRequiredParameters

        boolean matchesRequiredParameters​(ApiHttpExchange exchange)
        Returns true if the exchange has all the required query parameters specified in this action, or if there are no required query parameters in the action
      • requiresParameter

        boolean requiresParameter()
        Returns true if the action requires a request parameter, such as @Get("/test?error"). When more than one action returns true from matches(org.actioncontroller.ApiControllerAction) and exactly one action returns true from requiresParameter, that action is invokes. Otherwise action-controller throws an exception
      • matches

        boolean matches​(ApiControllerAction action)
        Returns true if the actions respond to the same routes
      • getMethodName

        String getMethodName()